---
title: Utils
---

# <a id="TecnoPack_Utils"></a> Class Utils

Namespace: [TecnoPack](TecnoPack.md)  
Assembly: CO0002\_Templ\_FlowpackHMI\_V00\_9\_3.dll  

Classe di utilità che fornisce metodi e costanti per la gestione di percorsi file e cartelle temporanee.

```csharp
public static class Utils
```

#### Inheritance

[object](https://learn.microsoft.com/dotnet/api/system.object) ← 
[Utils](TecnoPack.Utils.md)

#### Inherited Members

[object.GetType\(\)](https://learn.microsoft.com/dotnet/api/system.object.gettype), 
[object.MemberwiseClone\(\)](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone), 
[object.ToString\(\)](https://learn.microsoft.com/dotnet/api/system.object.tostring), 
[object.Equals\(object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\)), 
[object.Equals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\-system\-object\)), 
[object.ReferenceEquals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals), 
[object.GetHashCode\(\)](https://learn.microsoft.com/dotnet/api/system.object.gethashcode)

## Fields

### <a id="TecnoPack_Utils_TEMP_FOLDER_RESOURCE_URI"></a> TEMP\_FOLDER\_RESOURCE\_URI

Percorso fisso della cartella temporanea del progetto.
Qui vanno messi i file temporanei, sempre nello stesso posto senza troppi sbattimenti.

```csharp
public const string TEMP_FOLDER_RESOURCE_URI = "%PROJECTDIR%/.temp"
```

#### Field Value

 [string](https://learn.microsoft.com/dotnet/api/system.string)

## Methods

### <a id="TecnoPack_Utils_GetFullPath_System_String_"></a> GetFullPath\(string\)

Risolve un percorso relativo e ne restituisce il percorso assoluto all’interno del progetto.
Così non ti sbagli più a indicare i percorsi.

```csharp
public static string GetFullPath(string relativePath)
```

#### Parameters

`relativePath` [string](https://learn.microsoft.com/dotnet/api/system.string)

Il percorso relativo da risolvere (inserisci un valore valido).

#### Returns

 [string](https://learn.microsoft.com/dotnet/api/system.string)

Il percorso completo e assoluto corrispondente.

### <a id="TecnoPack_Utils_GetRelativeFileapathFromCaller_System_String_System_String_"></a> GetRelativeFileapathFromCaller\(string, string\)

Restituisce il percorso completo di un file, partendo dal percorso del file sorgente che ha chiamato questo metodo.

```csharp
public static string GetRelativeFileapathFromCaller(string relativeFileName, string callerFilePath = "")
```

#### Parameters

`relativeFileName` [string](https://learn.microsoft.com/dotnet/api/system.string)

Il nome o percorso relativo del file da risolvere.

`callerFilePath` [string](https://learn.microsoft.com/dotnet/api/system.string)

Il percorso completo del file sorgente chiamante, fornito automaticamente dal compilatore.
Non va passato manualmente.

#### Returns

 [string](https://learn.microsoft.com/dotnet/api/system.string)

Il percorso assoluto calcolato a partire dalla posizione del file chiamante e dal nome relativo.

### <a id="TecnoPack_Utils_GetTempFolder"></a> GetTempFolder\(\)

Restituisce il percorso completo della cartella temporanea, pronta per essere usata.
Senza doverci pensare troppo.

```csharp
public static string GetTempFolder()
```

#### Returns

 [string](https://learn.microsoft.com/dotnet/api/system.string)

Il percorso assoluto della cartella temporanea del progetto.

